package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpNoticeEnum {
   PUR_SINGLE_NOTICE(1, "采购供货通知"),
   INQUIRY_QUOTE_NOTICE(2, "询价报价通知");

   private final Integer key;
   private final String value;

   private DrpNoticeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpNoticeEnum[] enums = values();
      DrpNoticeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpNoticeEnum[] enums = values();
      DrpNoticeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpNoticeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
